Index: data/trunk/materials/HeavyCruiser_body.material
===================================================================
--- data/trunk/materials/HeavyCruiser_body.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_body.material	(revision 9897)
@@ -0,0 +1,43 @@
+// HeavyCruiser_body genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_body 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_body
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_body.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                tex_coord_set 0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_frontL.material
===================================================================
--- data/trunk/materials/HeavyCruiser_frontL.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_frontL.material	(revision 9897)
@@ -0,0 +1,42 @@
+// HeavyCruiser_frontL genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_frontL 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_frontL
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_frontL.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_frontR.material
===================================================================
--- data/trunk/materials/HeavyCruiser_frontR.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_frontR.material	(revision 9897)
@@ -0,0 +1,42 @@
+// HeavyCruiser_frontR genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_frontR 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_frontR
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_frontR.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_partL.material
===================================================================
--- data/trunk/materials/HeavyCruiser_partL.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_partL.material	(revision 9897)
@@ -0,0 +1,42 @@
+// HeavyCruiser_partL genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_partL 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_partL
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_partL.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_partR.material
===================================================================
--- data/trunk/materials/HeavyCruiser_partR.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_partR.material	(revision 9897)
@@ -0,0 +1,42 @@
+// HeavyCruiser_partR genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_partR 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_partR
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_partR.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_sidearmL.material
===================================================================
--- data/trunk/materials/HeavyCruiser_sidearmL.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_sidearmL.material	(revision 9897)
@@ -0,0 +1,43 @@
+// HeavyCruiser_sidearmL genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_sidearmL 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_sidearmL
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_sidearmL.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                tex_coord_set 0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_sidearmLfront.material
===================================================================
--- data/trunk/materials/HeavyCruiser_sidearmLfront.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_sidearmLfront.material	(revision 9897)
@@ -0,0 +1,43 @@
+// HeavyCruiser_sidearmLfront genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_sidearmLfront 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_sidearmLfront
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_sidearmLfront.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                tex_coord_set 0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_sidearmR.material
===================================================================
--- data/trunk/materials/HeavyCruiser_sidearmR.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_sidearmR.material	(revision 9897)
@@ -0,0 +1,43 @@
+// HeavyCruiser_sidearmR genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_sidearmR 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_sidearmR
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_sidearmR.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                tex_coord_set 0
+                colour_op modulate
+            }
+        }
+    }
+}
Index: data/trunk/materials/HeavyCruiser_sidearmRfront.material
===================================================================
--- data/trunk/materials/HeavyCruiser_sidearmRfront.material	(revision 9897)
+++ data/trunk/materials/HeavyCruiser_sidearmRfront.material	(revision 9897)
@@ -0,0 +1,42 @@
+// HeavyCruiser_sidearmRfront genrated by blender2ogre 0.5.8
+
+material HeavyCruiser_sidearmRfront 
+{
+    receive_shadows on 
+
+    technique
+    {
+        pass HeavyCruiser_sidearmRfront
+        {
+            ambient 0.800000011920929 0.800000011920929 0.800000011920929 1.0
+            diffuse 0.6400000190734865 0.6400000190734865 0.6400000190734865 1.0
+            specular 0.5 0.5 0.5 1.0 12.5
+            emissive 0.0 0.0 0.0 1.0
+
+            alpha_to_coverage off
+            colour_write on
+            cull_hardware clockwise
+            depth_check on
+            depth_func less_equal
+            depth_write on
+            illumination_stage 
+            light_clip_planes off
+            light_scissor off
+            lighting on
+            normalise_normals off
+            polygon_mode solid
+            scene_blend one zero
+            scene_blend_op add
+            shading gouraud
+            transparent_sorting on
+
+            texture_unit 
+            {
+                texture HeavyCruiser_sidearmRfront.jpg
+                tex_address_mode wrap
+                scale 1.0 1.0
+                colour_op modulate
+            }
+        }
+    }
+}