Index: /branches/network/src/lib/lang/base_object.h
===================================================================
--- /branches/network/src/lib/lang/base_object.h	(revision 9907)
+++ /branches/network/src/lib/lang/base_object.h	(revision 9908)
@@ -51,6 +51,4 @@
   /** @returns the ClassID of this Object */
   inline const ClassID& getClassID() const { return _classes.front()._objectList->identity(); }
-  /** @returns the ID of the Topmost object of the ClassStack. */
-  inline const ClassID& getLeafClassID() const { return leafClassID; }
 
   bool isA(const ObjectListBase& objectList) const;
@@ -71,5 +69,4 @@
 protected:
   std::string        objectName;       //!< The name of this object
-  ClassID            leafClassID;      //!< classId of leaf class
 
 private:
@@ -108,5 +105,4 @@
 {
   this->_classes.push_front(ClassEntry(&objectList, objectList.registerObject(object)));
-  this->leafClassID = objectList.identity();
 }
 
Index: /branches/network/src/lib/network/network_stream.cc
===================================================================
--- /branches/network/src/lib/network/network_stream.cc	(revision 9907)
+++ /branches/network/src/lib/network/network_stream.cc	(revision 9908)
@@ -966,5 +966,5 @@
 
       // if handshake not finished only sync handshake
-      if ( peer->second.handshake && Handshake::staticClassID() != sync.getLeafClassID())
+      if ( peer->second.handshake && Handshake::staticClassID() != sync.getClassID() )
         continue;
 
@@ -972,14 +972,14 @@
       if ( ( SharedNetworkData::getInstance()->isMasterServer() ||
              SharedNetworkData::getInstance()->isProxyServerActive() &&  peer->second.isClient())
-	     && Handshake::staticClassID() == sync.getLeafClassID() && sync.getUniqueID() != peer->second.userId )
+	     && Handshake::staticClassID() == sync.getClassID() && sync.getUniqueID() != peer->second.userId )
         continue;
 
       /* list of synchronizeables that will never be synchronized over the network: */
       // do not sync null parent
-      if ( NullParent::staticClassID() == sync.getLeafClassID())
+      if ( NullParent::staticClassID() == sync.getClassID())
         continue;
 
 
-      assert( sync.getLeafClassID() != 0);
+      assert( sync.getClassID() != 0);
 
       assert( offset + INTSIZE <= UDP_PACKET_SIZE );
Index: /branches/network/src/lib/network/synchronizeable_var/synchronizeable_classid.cc
===================================================================
--- /branches/network/src/lib/network/synchronizeable_var/synchronizeable_classid.cc	(revision 9907)
+++ /branches/network/src/lib/network/synchronizeable_var/synchronizeable_classid.cc	(revision 9908)
@@ -46,5 +46,5 @@
 int SynchronizeableClassID::writeToBuf( byte * buf, int maxLength )
 {
-  int res = Converter::intToByteArray( vPtrIn->getLeafClassID().id(), buf, maxLength );
+  int res = Converter::intToByteArray( vPtrIn->getClassID().id(), buf, maxLength );
 
   assert( res == INTSIZE );
Index: /branches/network/src/story_entities/multi_player_world_data.cc
===================================================================
--- /branches/network/src/story_entities/multi_player_world_data.cc	(revision 9907)
+++ /branches/network/src/story_entities/multi_player_world_data.cc	(revision 9908)
@@ -149,5 +149,5 @@
         BaseObject* created = Factory::fabricate(element);
         if( created != NULL )
-          PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassCName(), created->getCName(), (int)created->getLeafClassID().id(), element->Value());
+          PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassCName(), created->getCName(), (int)created->getClassID().id(), element->Value());
         else
           PRINTF(1)("NetworkWorld: could not create this entity\n");
@@ -180,5 +180,5 @@
 
           if( created != NULL )
-            PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassCName(), created->getCName(), created->getLeafClassID().id(), element->Value());
+            PRINTF(1)("Created a %s: %s (0x%8x) from %s\n", created->getClassCName(), created->getCName(), created->getClassID().id(), element->Value());
           else
             PRINTF(1)("NetworkWorld: could not create this entity\n");