Index: code/branches/levelKaan/data/levels/Level_01.oxw
===================================================================
--- code/branches/levelKaan/data/levels/Level_01.oxw	(revision 9880)
+++ 	(revision )
@@ -1,415 +1,0 @@
-<!-- -->
-
-<LevelInfo
-	 name = "Level_01"
-	 description = "A level with absolutely nothing in it."
-	 tags = "mission"
-	 screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipAssff.oxt")
-  include("templates/spaceshipAssff2.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipEscort.oxt")
-  include("templates/spaceshipCollateralDamage.oxt")
-?>
-
-<Level gametype="Mission">
-
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <NotificationQueueCEGUI
-    name="narrative"
-    targets="simpleNotification"
-    size=3
-    displayTime=3.9
-    position="0.2, 0, 0.1, 0"
-    fontSize="23"
-    fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
-    displaySize="0.6, 0, 0, 0"
-    />
-
-  <Scene
-    ambientlight = "0.5, 0.5, 0.5"
-    skybox       = "Orxonox/Starbox"
-    hasPhysics   = true
-
-  >
-
-   <?lua
-      include("includes/pickups.oxi")
-   ?>
-
-   <?lua
-    dofile("includes/CuboidSpaceStation.lua")
-   ?>
-
-
-   <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>	
-
-   <TeamSpawnPoint team=0 position="0,0,0" direction="1,1,1" spawnclass=SpaceShip pawndesign=spaceshipescort/> <!--spaceshipescort-->
-
-
-<!----------------------------------------------------------------------------------------------------->
-<!-------------------------------------- PART ZERO: Docking on  --------------------------------------->
-<!----------------------------------------------------------------------------------------------------->
-
-<!-- OBJECTS IN THIS PART -->
-
-<!-- @Objects: HYDROGEN FARMER & DOCKING -->
-   
-<!-- @Objects: HYDROGEN FARMER & DOCKING -->
- <!--  <SpaceShip
-        team      = 0
-        position  = "-4000,4100,4000"
-        roll      = 90   yaw=0  pitch=20
-        mass      = 10000
-        health    = 100000 initialhealth=100000 maxhealth="100000"
-        name      = "HydroFarmer"
-        radarname = "Hydrogen Farmer" > 
-      <attached>
-        <!-- Docking -->
-  <!--       <DistanceTriggerBeacon name="bcnDestroyer" />
-         <DockingTarget name="destroyer" />
-
-        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=50 />
-   <!-- <Model mesh="cube.mesh" mass=10 position="-560,0,0" scale3D="115,100,245"  />
-        <Model mesh="cube.mesh" mass=10 position="290,0,-480" scale3D="115,100,245" yaw=-120 />
-        <Model mesh="cube.mesh" mass=10 position="290,0,480" scale3D="115,100,245" yaw=-240 />
-        <Model mesh="cube.mesh" mass=10 position="-280,0,0" scale3D="163,50,50" />
-        <Model mesh="cube.mesh" mass=10 position="140,0,-240" scale3D="163,50,50"  yaw=-120/>
-        <Model mesh="cube.mesh" mass=10 position="140,0,240" scale3D="163,50,50" yaw=-240/>
-        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" />
-        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" yaw=-120/>
-        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" yaw=-240/>
-        <Model mesh="cube.mesh" mass=10 position="0,400,0" scale3D="43,110,26" yaw=-30 />
-        <Model mesh="cube.mesh" mass=10 position="-200,100,0" scale3D="26,50,43" />
-        <Model mesh="cube.mesh" mass=10 position="100,100,-173" scale3D="43,50,26" yaw=-30/>
-        <Model mesh="cube.mesh" mass=10 position="100,100,173" scale3D="43,50,26" yaw=30/>
-        <Model mesh="cube.mesh" mass=10 position="-100,264,0" scale3D="26,105,43" roll=-49/>
-        <Model mesh="cube.mesh" mass=10 position="50,264,-87" scale3D="26,105,43" roll=-49 yaw=-120/>
-        <Model mesh="cube.mesh" mass=10 position="50,264,87" scale3D="26,105,43" roll=-49 yaw=-240/>     -->
-  <!--    </attached>
-      <collisionShapes>
-        <BoxCollisionShape  position="-560,0,0" halfExtents="115,100,245" /><!-- Three lower boxes -->
-   <!--     <BoxCollisionShape  position="290,0,-480" halfExtents="115,100,245" yaw=-120 />
-        <BoxCollisionShape  position="290,0,480" halfExtents="115,100,245" yaw=-240 />
-        <BoxCollisionShape  position="-280,0,0" halfExtents="163,50,50" /><!-- Three lower connections -->
-<!--        <BoxCollisionShape  position="140,0,-240" halfExtents="163,50,50" yaw=-120 />
-        <BoxCollisionShape  position="140,0,240" halfExtents="163,50,50" yaw=-240 />
-        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" /><!-- Upper Tower -->
-  <!--      <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-120 />
-        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-240 />
-        <BoxCollisionShape  position="0,400,0" halfExtents="43,110,26" yaw=-30 /><!-- Middle one-->
-<!--        <BoxCollisionShape  position="-200,100,0" halfExtents="26,50,43" /><!--Three lower legs -->
- <!--       <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=-30 />
-        <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=30 />
-        <BoxCollisionShape  position="-100,264,0" halfExtents="26,105,43" roll=-49 /><!--Three upper legs -->
-  <!--      <BoxCollisionShape  position="50,264,-87" halfExtents="26,105,43" roll=-49 yaw=-120 />
-        <BoxCollisionShape  position="50,264,87" halfExtents="26,105,43" roll=-49 yaw=-240 />
-      </collisionShapes>
-    </SpaceShip>
-
-   <Dock position="-4000,4000,4000" roll=90 yaw=180 >
-      <animations>
-         <MoveToDockingTarget target="destroyer" />
-      </animations>
-      <effects>
-         <DockToShip target="spaceShip" />
-      </effects>
-      <events>
-            <execute>
-                <EventListener event="dockMe" />
-            </execute>
-            <activity>
-                <EventListener event=notGameEnd />
-            </activity>
-        </events>
-        <attached>
-            <DistanceTrigger position="10,-202, -42" distance="800" target="Pawn"
-                beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"/>
-	   <Billboard position="10,-202,-42" material="Flares/ringflare" colour="0.7,0.4,0.1" scale=1/>
-        </attached>
-
-    </Dock> ->>
-
-<!--@Objects: SpaceCruiser as docking target -->
-  <!--  <SpaceShip
-        template            = "spaceshipcollateraldamage"
-        team                = "0"
-        position            = "-4000,4800,4000"
-        orientation         = "-0.14, 0.68, 0.68, 0.223"
-        health              = "400"
-        initialhealth       = "400"
-        maxhealth           = "500"
-        shieldhealth        = "80"
-        initialshieldhealth = "80"
-        maxshieldhealth     = "120"
-        shieldabsorption    = "0.8"
-        reloadrate          = "1"
-        reloadwaittime      = "1"
-        name                = "cruiser"
-        radarname           = "Spacecruiser" >
-      <attached>
-        <DockingTarget name="spaceShip" />
-      </attached>
-    </SpaceShip>
-
-<BlinkingBillboard position="-3800,4800,4000" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
-          <events>
-            <visibility>
-                    <EventListener event=dockMe />
-            </visibility>
-          </events>
-</BlinkingBillboard>
-
-<BlinkingBillboard position="-500,500,500" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
-          <events>
-            <visibility>
-              <EventTrigger invert=true>
-                <events>
-                  <trigger>
-                    <EventListener event=flying3 />
-                  </trigger>
-                </events>
-              </EventTrigger>
-            </visibility>
-          </events>
-</BlinkingBillboard>
-<Billboard position="-500,500,500" amplitude=1 material="Flares/lensflare" colour="0,0.8,0.1">
-          <events>
-            <visibility>
-              <EventTrigger>
-                <events>
-                  <trigger>
-                    <EventListener event=flying3 />
-                  </trigger>
-                </events>
-              </EventTrigger>
-            </visibility>
-          </events>
-</Billboard>
-
-  <DistanceTrigger name="flying1" position="0,0,0" target="Pawn" distance=100 stayActive="true" delay=4/>
-    <SimpleNotification message="Hey Rookie.. We got a new mission for you.">
-        <events>
-            <trigger>
-                <EventListener event="flying1" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-  <DistanceTrigger name="flying2" position="0,0,0" target="Pawn" distance=10 stayActive="true" delay=8/>
-    <SimpleNotification message="Go to the main station for more information.">
-        <events>
-            <trigger>
-                <EventListener event="flying2" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
- <DistanceTrigger name="flying3" position="-500,500, 500" target="Pawn" distance=100 stayActive="true" delay=3/>
-    <SimpleNotification message="Our Commander got kidnapped in District 69">
-        <events>
-            <trigger>
-                <EventListener event="flying3" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
- <DistanceTrigger name="flying4" position="-500,500, 500" target="Pawn" distance=100 stayActive="true" delay=7/>
-    <SimpleNotification message="We need you to rescue him.">
-        <events>
-            <trigger>
-                <EventListener event="flying4" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-<DistanceTrigger name="flying5" position="-500,500,500" target="Pawn" distance=100 stayActive="true" delay=11/>
-    <SimpleNotification message="Dock on the station to get a better ship.">
-        <events>
-            <trigger>
-                <EventListener event="flying5" />
-            </trigger>
-        </events>
-    </SimpleNotification>
--->
-
-<!----------------------------------------------------------------------------------------------------->
-<!-------------------------------- PART ONE: Passing throug wormhole  --------------------------------->
-<!----------------------------------------------------------------------------------------------------->
-
-
-<!------------------------------------- OBJECTS IN THIS PART ------------------------------------------>
-
- <!--  <Model position="-4000,  2800, 4000" yaw="90" pitch="-90" roll="90" scale="3" mesh="satellite.mesh" />
-
-   <Template name=PortalDefault>
-      <PortalEndPoint>
-         <attached>
-            <Model mesh="Spacegate.mesh" yaw="90"/>
-         </attached>
-      </PortalEndPoint>
-   </Template>
-
-   <PortalEndPoint position="-4000,2500,4000" id="1" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
-   <PortalEndPoint position="0,94000,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" reenterDelay="0"/>
-   <PortalLink fromID="1" toID="2" />
-   <!--<PortalLink fromID="2" toID="1" />-->
-
-  <!-- <SpaceBoundaries warnDistance="1" maxDistance="500" showDistance="300" healthDecrease="0.1" position="0,97100,0"/> -->
-
-
-<!-- Meteoriten, die sich bewegen -->
-<?lua
-      for i = 1, 450, 1
-      do
-      j = math.random()
-   ?>
-
-   <MovableEntity	
-      position = "<?lua print(math.random()* 1500-750) ?>,<?lua print(math.random() * 10000 + 95000) ?>,<?lua print(math.random() * 1500-750) ?>"
-      scale = "<?lua print(j * 40)?>"
-      velocity = "0, -180, 0"
-      collisionType = dynamic
-      collisiondamage = 0.1
-      enablecollisiondamage = true 
-   >
-     <!-- 
-      linearDamping = 0.8
-      angularDamping = 0
-       -->
-
-      <events>
-         <activity>
-	    <EventListener event="start" />
-	 </activity>
-      </events>
-      <attached>
-         <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-         <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
-      </attached> 
-         <collisionShapes>
-            <SphereCollisionShape radius="<?lua print(j * 50) ?>" />
-         </collisionShapes>   
-   </MovableEntity>
-
-   <?lua
-      end
-   ?>
-
- <!--  <DistanceTrigger name="start" position="0,94000,0" target="SpaceShip" beaconMode="exclude" targetname="bcnDestroyer" distance=20 stayActive="true" delay=0 />
-
-<DistanceTrigger name="portal1" position="-4000,4000,4000" target="Pawn" distance=50 stayActive="true" delay=3/>
-    <SimpleNotification message="Now go to the portal next to the satellite">
-        <events>
-            <trigger>
-                <EventListener event="portal1" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-<DistanceTrigger name="portal3" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=3/>
-    <SimpleNotification message="Reach the wormhole to District 69">
-        <events>
-            <trigger>
-                <EventListener event="portal3" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-   <SimpleNotification message="Take the lead of the formation">
-        <events>
-            <trigger>
-                <EventListener event="endOfLevel" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-<!----------------------------------------------------------------------------------------------------->
-<!--------------------------- PART TWO: Passing throug area with meteorits ---------------------------->
-<!----------------------------------------------------------------------------------------------------->
-   
-   <!--<SpaceShip
-        team      = 0
-        position  = "0,106000,0"
-        roll      = 0   yaw=90  pitch=0
-        mass      = 10000
-        health    = 100000 initialhealth=100000 maxhealth="100000"
-        name      = "wormhole"
-        radarname = "Wormhole to District 69" > 
-      <attached>
-        <!-- Docking -->
-     <!--    <DistanceTriggerBeacon name="bcnDestroyer" />
-         <Billboard position="0,0,0" material="Portals/Default" />
-	<DistanceTrigger name="endOfLevel" position="0,0,0" target="SpaceShip" beaconMode="exclude" targetname="bcnDestroyer" distance=50 stayActive="true" delay=0/>
-
-        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=50 />
-   <!-- <Model mesh="cube.mesh" mass=10 position="-560,0,0" scale3D="115,100,245"  />
-        <Model mesh="cube.mesh" mass=10 position="290,0,-480" scale3D="115,100,245" yaw=-120 />
-        <Model mesh="cube.mesh" mass=10 position="290,0,480" scale3D="115,100,245" yaw=-240 />
-        <Model mesh="cube.mesh" mass=10 position="-280,0,0" scale3D="163,50,50" />
-        <Model mesh="cube.mesh" mass=10 position="140,0,-240" scale3D="163,50,50"  yaw=-120/>
-        <Model mesh="cube.mesh" mass=10 position="140,0,240" scale3D="163,50,50" yaw=-240/>
-        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" />
-        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" yaw=-120/>
-        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" yaw=-240/>
-        <Model mesh="cube.mesh" mass=10 position="0,400,0" scale3D="43,110,26" yaw=-30 />
-        <Model mesh="cube.mesh" mass=10 position="-200,100,0" scale3D="26,50,43" />
-        <Model mesh="cube.mesh" mass=10 position="100,100,-173" scale3D="43,50,26" yaw=-30/>
-        <Model mesh="cube.mesh" mass=10 position="100,100,173" scale3D="43,50,26" yaw=30/>
-        <Model mesh="cube.mesh" mass=10 position="-100,264,0" scale3D="26,105,43" roll=-49/>
-        <Model mesh="cube.mesh" mass=10 position="50,264,-87" scale3D="26,105,43" roll=-49 yaw=-120/>
-        <Model mesh="cube.mesh" mass=10 position="50,264,87" scale3D="26,105,43" roll=-49 yaw=-240/>     -->
- <!--     </attached>
-      <collisionShapes>
-        <BoxCollisionShape  position="-560,0,0" halfExtents="115,100,245" /><!-- Three lower boxes -->
-   <!--     <BoxCollisionShape  position="290,0,-480" halfExtents="115,100,245" yaw=-120 />
-        <BoxCollisionShape  position="290,0,480" halfExtents="115,100,245" yaw=-240 />
-        <BoxCollisionShape  position="-280,0,0" halfExtents="163,50,50" /><!-- Three lower connections -->
-<!--        <BoxCollisionShape  position="140,0,-240" halfExtents="163,50,50" yaw=-120 />
-        <BoxCollisionShape  position="140,0,240" halfExtents="163,50,50" yaw=-240 />
-        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" /><!-- Upper Tower -->
- <!--       <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-120 />
-        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-240 />
-        <BoxCollisionShape  position="0,400,0" halfExtents="43,110,26" yaw=-30 /><!-- Middle one-->
-  <!--      <BoxCollisionShape  position="-200,100,0" halfExtents="26,50,43" /><!--Three lower legs -->
- <!--       <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=-30 />
-        <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=30 />
-        <BoxCollisionShape  position="-100,264,0" halfExtents="26,105,43" roll=-49 /><!--Three upper legs -->
-   <!--     <BoxCollisionShape  position="50,264,-87" halfExtents="26,105,43" roll=-49 yaw=-120 />
-        <BoxCollisionShape  position="50,264,87" halfExtents="26,105,43" roll=-49 yaw=-240 />
-      </collisionShapes>
-    </SpaceShip>
-
-    <SimpleNotification message="End of game">
-        <events>
-            <trigger>
-                <EventListener event="endOfLevel" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-   <Script code="Mission endMission true" onLoad="false">
-        <events>
-            <trigger>
-                <EventListener event=endOfLevel />
-            </trigger>
-        </events>
-    </Script> -->
-
-  </Scene>
-</Level>
-
Index: code/branches/levelKaan/data/levels/Level_Kaan.oxw
===================================================================
--- code/branches/levelKaan/data/levels/Level_Kaan.oxw	(revision 9880)
+++ code/branches/levelKaan/data/levels/Level_Kaan.oxw	(revision 9909)
@@ -2,8 +2,8 @@
 
 <LevelInfo
-   name = "Level_Kaan"
-   description = "A level with absolutely nothing in it."
+   name = "John Vane and the trip to Area 51"
+   description = "First Mission of John Vane"
    tags = "mission"
-   screenshot = "emptylevel.png"
+   screenshot = "JohnVane.png" 
 />
 
@@ -61,12 +61,4 @@
    <TeamSpawnPoint team=0 position="0,94000,0" direction="1,1,1" spawnclass=SpaceShip pawndesign=spaceshipescort> <!--spaceshipescort-->
  	<events>
-            <activity>
-                <EventListener event="start" />
-            </activity>
-        </events>
-    </TeamSpawnPoint>
-
-   <TeamSpawnPoint team=0 position="0,94000,0" direction="0,1,0" spawnclass=SpaceShip pawndesign=spaceshipescort active=false>
-      <events>
             <activity>
                 <EventListener event="start" />
@@ -274,9 +266,8 @@
     </SimpleNotification> 
 
-<QuestEffectBeacon times=1>
-            <effects>
+   <QuestEffectBeacon times=1>
+      <effects>
                 <AddQuest questId="Level_Kaan.docking" />
-                <!--AddQuestHint hintId ="quest1hint3" /-->
-            </effects>
+      </effects>
             <events>
                 <execute>
@@ -284,29 +275,64 @@
                 </execute>
             </events>
-        </QuestEffectBeacon>
-
-<LocalQuest id="Level_Kaan.docking">
-        <QuestDescription title="Docking" description="Fly to the Main Station and get a better Spaceship
-
-Further flying moves:
-break (S)
-roll     (Q) and (E)
-boost (Space)
-
-Whenever a new quest is added you can view it by pressing (F3). Quit this menu via (Esc)." failmessage="" completeMessage="" />
-
-    </LocalQuest> 
-
-<QuestEffectBeacon times=1>
+   </QuestEffectBeacon>
+
+   <QuestEffectBeacon times=1>
             <effects>
-                <AddQuest questId="Level_Kaan.portals" />
-                <!--AddQuestHint hintId ="quest1hint3" /-->
+                <CompleteQuest questId="Level_Kaan.docking" />
             </effects>
             <events>
                 <execute>
-                    <EventListener event=dockMe />
+                    <EventListener event="dockMe" />
                 </execute>
             </events>
-        </QuestEffectBeacon>
+   </QuestEffectBeacon>
+
+   <LocalQuest id="Level_Kaan.docking">
+      <QuestDescription title="Docking" description="Our Commander got kidnapped in Area 51. Fly to the Main Station and get a better Spaceship to rescue him.
+
+	Flying moves:
+	break (S)
+	roll     (Q) and (E)
+	boost (Space)
+
+	Whenever a new quest is added you can view it by pressing (F3). Quit this menu via (Esc)." failmessage="" completeMessage="" />
+      <complete-effects>
+         <AddQuest questId="Level_Kaan.portals" />
+      </complete-effects>
+   </LocalQuest> 
+
+   <LocalQuest id="Level_Kaan.portals">
+      <QuestDescription title="Portals" description="Now you've got a Spaceship with more health and weapons. Your next goal is to pass through the portal and find there the 		wormhole to Area 51" failmessage="" completeMessage="" />
+      <complete-effects>
+         <AddQuest questId="Level_Kaan.asteroids" />
+      </complete-effects>
+   </LocalQuest> 
+
+
+   <QuestEffectBeacon times=1>
+      <effects>
+         <CompleteQuest questId="Level_Kaan.portals" />
+      </effects>
+      <events>
+         <execute>
+            <EventListener event=start />
+         </execute>
+      </events>
+   </QuestEffectBeacon>
+
+ <LocalQuest id="Level_Kaan.asteroids">
+      <QuestDescription title="Asteroids" description="The wormhole is at the end of the asteroid shower. Find your way through the asteroids without hitting the rocks and reach Area 51. " failmessage="" completeMessage="" />
+   </LocalQuest> 
+
+ <QuestEffectBeacon times=1>
+      <effects>
+         <CompleteQuest questId="Level_Kaan.asteroids" />
+      </effects>
+      <events>
+         <execute>
+            <EventListener event=endOfLevel />
+         </execute>
+      </events>
+   </QuestEffectBeacon>
 
 <!----------------------------------------------------------------------------------------------------->
@@ -317,10 +343,8 @@
 <!------------------------------------- OBJECTS IN THIS PART ------------------------------------------>
 
-   <Model position="4000, 2800, 4000" yaw="90" pitch="-90" roll="90" scale="3" mesh="satellite.mesh" />
-
    <Template name=PortalDefault>
       <PortalEndPoint>
          <attached>
-            <Model mesh="Spacegate.mesh" yaw="90"/>
+            <Model mesh="Spacegate.mesh" />
          </attached>
       </PortalEndPoint>
@@ -343,21 +367,11 @@
 
    <MovableEntity	
-      position = "<?lua print(math.random()* 1500-750) ?>,<?lua print(math.random() * 10000 + 95000) ?>,<?lua print(math.random() * 1500-750) ?>"
+      position = "<?lua print(math.random()* 1500-750) ?>,<?lua print(math.random() * 9500 + 100000) ?>,<?lua print(math.random() * 1500-750) ?>"
       scale = "<?lua print(j * 40)?>"
-      velocity = "<?lua print(x*100-50)?>, <?lua print(y*60-160)?>, <?lua print(z*100-50)?>"
+      velocity = "<?lua print(x*70-35)?>, <?lua print(y*50-130)?>, <?lua print(z*70-35)?>"
       collisionType = dynamic
       collisiondamage = 0.05
       enablecollisiondamage = true 
-      active = false
-   >
-      <events>
-         <activity>
-	    <EventListener event="startAsteroids" />
-	 </activity>
-      </events>
-      <attached>
-         <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
-         <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
-      </attached> 
+   >  
          <collisionShapes>
             <SphereCollisionShape radius="<?lua print(j * 50) ?>" />
@@ -369,12 +383,32 @@
    ?>
 
+<BlinkingBillboard position="5000,5800,5000" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
+          <events>
+            <visibility>
+              <EventTrigger invert=true>
+                <events>
+                  <trigger>
+                    <EventListener event=portal2 />
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </visibility>
+          </events>
+</BlinkingBillboard>
+<Billboard position="5000,5800,5000" amplitude=1 material="Flares/lensflare" colour="0,0.8,0.1">
+          <events>
+            <visibility>
+              <EventTrigger>
+                <events>
+                  <trigger>
+                    <EventListener event=portal2 />
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </visibility>
+          </events>
+</Billboard>
+
 <DistanceTrigger name="start" position="0,94000,0" target="SpaceShip" beaconMode="exclude" targetname="bcnDestroyer" distance=20 stayActive="true" delay=0 />
-            <EventTrigger active=false name=startAsteroids  stayActive="true">
-              <events>
-                <trigger>
-                  <EventListener event="start" />
-                </trigger>
-              </events>
-            </EventTrigger>
 
 <DistanceTrigger name="portal2" position="5000,5800,5000" target="Pawn" distance=20 stayActive="true" delay=3/>
@@ -387,11 +421,5 @@
     </SimpleNotification>
 
- <SimpleNotification message="Start wurde ausgeloest!">
-        <events>
-            <trigger>
-                <EventListener event="start" />
-            </trigger>
-        </events>
-    </SimpleNotification>
+
 
 <!----------------------------------------------------------------------------------------------------->
@@ -401,10 +429,10 @@
   <SpaceShip
         team      = 0
-        position  = "0,106000,0"
+        position  = "0,110000,0"
         roll      = 0   yaw=90  pitch=0
         mass      = 10000
         health    = 100000 initialhealth=100000 maxhealth="100000"
         name      = "wormhole"
-        radarname = "Wormhole to District 69" > 
+        radarname = "Wormhole to Area 51" > 
       <attached>
          <DistanceTriggerBeacon name="bcnDestroyer" />
@@ -477,4 +505,59 @@
    </SimpleNotification>
 
+   <DistanceTrigger name="portal6" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=13/>
+   <SimpleNotification message="John: I see the wormhole station on the radar">
+      <events>
+         <trigger>
+            <EventListener event="portal6" />
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+
+   <DistanceTrigger name="portal7" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=17/>
+   <SimpleNotification message="Houston: Is it black?">
+      <events>
+         <trigger>
+            <EventListener event="portal7" />
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+   <DistanceTrigger name="portal8" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=21/>
+   <SimpleNotification message="John: Yes">
+      <events>
+         <trigger>
+            <EventListener event="portal8" />
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+
+   <DistanceTrigger name="portal9" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=25/>
+   <SimpleNotification message="Houston: It should really look like a black hole.">
+      <events>
+         <trigger>
+            <EventListener event="portal9" />
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+   <DistanceTrigger name="portal10" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=29/>
+   <SimpleNotification message="John: It does... ">
+      <events>
+         <trigger>
+            <EventListener event="portal10" />
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+   <DistanceTrigger name="portal11" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=33/>
+   <SimpleNotification message="Houston: Hahaha ">
+      <events>
+         <trigger>
+            <EventListener event="portal11" />
+         </trigger>
+      </events>
+   </SimpleNotification>
 
 