Index: branches/network/src/lib/graphics/importer/md2/md2Model.cc
===================================================================
--- branches/network/src/lib/graphics/importer/md2/md2Model.cc	(revision 9911)
+++ branches/network/src/lib/graphics/importer/md2/md2Model.cc	(revision 9912)
@@ -452,4 +452,6 @@
   this->loadModel(modelFileName);
   this->loadSkin(skinFileName);
+  
+  PRINTF(0)("model %s, skin %s\n", modelFileName.c_str(), skinFileName.c_str());
 }
 
Index: branches/network/src/lib/graphics/importer/md2/resource_md2.cc
===================================================================
--- branches/network/src/lib/graphics/importer/md2/resource_md2.cc	(revision 9911)
+++ branches/network/src/lib/graphics/importer/md2/resource_md2.cc	(revision 9912)
@@ -10,5 +10,5 @@
 {
   Resources::StorePointer* ptr = this->acquireResource(loadString(modelName, skinName, scale));
-
+  
   if (ptr)
   {
@@ -20,7 +20,8 @@
     PRINTF(0)("NOT FOUND MD2: %s\n", modelName.c_str());
     std::string modelFileName = this->Resource::locateFile(modelName);
-    //std::string skinFileName = this->Resource::locateFile(skinName);
+    std::string skinFileName = this->Resource::locateFile(skinName);
+    PRINTF(0)("NEW %s::%s\n", modelName.c_str(), modelFileName.c_str());
     this->MD2Model::load(modelFileName, skinName, scale);
-    this->Resource::addResource(new ResourceMD2::MD2ResourcePointer(loadString(modelName, skinName, scale), keepLevel, this->MD2Model::dataPointer()));
+    this->Resource::addResource(new ResourceMD2::MD2ResourcePointer(loadString(modelName, skinFileName, scale), keepLevel, this->MD2Model::dataPointer()));
   }
 
Index: branches/network/src/lib/lang/base_object.cc
===================================================================
--- branches/network/src/lib/lang/base_object.cc	(revision 9911)
+++ branches/network/src/lib/lang/base_object.cc	(revision 9912)
@@ -45,5 +45,5 @@
   for (it = this->_classes.begin(); it != this->_classes.end(); ++it)
   {
-    if (ORX_DEBUG >= 5)
+    //if (ORX_DEBUG >= 5)
       assert((*it)._objectList->checkIteratorInList((*it)._iterator) || (*it)._objectList->checkObjectInList(this));
     (*it)._objectList->unregisterObject((*it)._iterator);
Index: branches/network/src/lib/network/network_game_manager.cc
===================================================================
--- branches/network/src/lib/network/network_game_manager.cc	(revision 9911)
+++ branches/network/src/lib/network/network_game_manager.cc	(revision 9912)
@@ -111,5 +111,5 @@
   playable.loadMD2Texture( playableTexture );
   playable.setTeam(team);
-  playable.loadModel( playableModel, 100.0f );
+  playable.loadModel( playableModel, playableScale );
   playable.setOwner( userId );
   playable.setUniqueID( SharedNetworkData::getInstance()->getNewUniqueID() );
Index: branches/network/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- branches/network/src/util/multiplayer_team_deathmatch.cc	(revision 9911)
+++ branches/network/src/util/multiplayer_team_deathmatch.cc	(revision 9912)
@@ -306,5 +306,8 @@
 {
   if (classId == CL_TURBINE_HOVER)
+  {
+    assert(false);
     return "models/ships/hoverglider_mainbody.obj";
+  }
   if ( team == 0 )
     return "models/creatures/doom_guy.md2";
@@ -312,15 +315,17 @@
     return "models/creatures/male.md2";
   else
+  {
     return "";
+  }
 }
 
 std::string MultiplayerTeamDeathmatch::getPlayableModelTextureFileName( int userId, int team, const ClassID& classId )
 {
-  if ( classId == CL_FPS_PLAYER )
+  if ( team == 0 || team == 1 )
   {
     if ( team == 0 )
-      return "maps/doom_guy.png";
+      return "doom_guy.png";
     else
-      return "maps/male_fiend.pcx";
+      return "male_fiend.pcx";
   }
 
@@ -493,4 +498,6 @@
   Playable & playable = *(dynamic_cast<Playable*>(bo));
 
+  PRINTF(0)("%s %s %f\n", playableModel.c_str(), playableTexture.c_str(), playableScale );
+  
   playable.loadMD2Texture( playableTexture );
   playable.loadModel( playableModel, playableScale );