Index: /trunk/src/lib/script_engine/Makefile.am
===================================================================
--- /trunk/src/lib/script_engine/Makefile.am	(revision 9915)
+++ /trunk/src/lib/script_engine/Makefile.am	(revision 9916)
@@ -13,8 +13,8 @@
 
 libORXscript_a_SOURCES = \
+		script_class.cc \
+		script_method.cc \
                 script.cc \
                 script_manager.cc \
-		script_class.cc \
-		script_method.cc \
 		executor_lua_state.cc
 
Index: /trunk/src/lib/script_engine/script.cc
===================================================================
--- /trunk/src/lib/script_engine/script.cc	(revision 9915)
+++ /trunk/src/lib/script_engine/script.cc	(revision 9916)
@@ -24,11 +24,4 @@
 
 ObjectListDefinition(Script);
-
-CREATE_SCRIPTABLE_CLASS(Script,
-                    addMethod("addObject", Executor2<Script, lua_State*,const std::string&, const std::string& >(&Script::addObject))
-                    ->addMethod("registerClass", Executor1<Script, lua_State*,const std::string&>(&Script::registerClass))
-                    ->addMethod("selectFunction", Executor2ret<Script, lua_State*, bool, const std::string&, int >(&Script::selectFunction))
-                    ->addMethod("executeFunction", Executor0ret<Script, lua_State*,bool >(&Script::executeFunction))
-                     );
 
 
Index: /trunk/src/lib/script_engine/script_class.cc
===================================================================
--- /trunk/src/lib/script_engine/script_class.cc	(revision 9915)
+++ /trunk/src/lib/script_engine/script_class.cc	(revision 9916)
@@ -17,7 +17,16 @@
 
 #include "script_class.h"
+#include "script.h"
+#include "debug.h"
 #include <cassert>
 
 ObjectListDefinition(ScriptClass);
+
+CREATE_SCRIPTABLE_CLASS(Script,
+                    addMethod("addObject", Executor2<Script, lua_State*,const std::string&, const std::string& >(&Script::addObject))
+                    ->addMethod("registerClass", Executor1<Script, lua_State*,const std::string&>(&Script::registerClass))
+                    ->addMethod("selectFunction", Executor2ret<Script, lua_State*, bool, const std::string&, int >(&Script::selectFunction))
+                    ->addMethod("executeFunction", Executor0ret<Script, lua_State*,bool >(&Script::executeFunction))
+                     );
 /**
  * @brief standard constructor
@@ -27,4 +36,5 @@
     : BaseObject(name), _classID(classID)
 {
+  PRINTF(4)("Name %s\n", name.c_str());
   assert(scriptMethods != NULL);
   this->registerObject(this, ScriptClass::_objectList);
Index: /trunk/src/lib/shell/shell.cc
===================================================================
--- /trunk/src/lib/shell/shell.cc	(revision 9915)
+++ /trunk/src/lib/shell/shell.cc	(revision 9916)
@@ -30,28 +30,4 @@
 namespace OrxShell
 {
-
-  SHELL_COMMAND(clear, Shell, clear)
-  ->describe("Clears the shell from unwanted lines (empties all buffers)")
-  ->setAlias("clear");
-  SHELL_COMMAND(deactivate, Shell, deactivate)
-  ->describe("Deactivates the Shell. (moves it into background)")
-  ->setAlias("hide");
-  SHELL_COMMAND(textsize, Shell, setTextSize)
-  ->describe("Sets the size of the Text size, linespacing")
-  ->defaultValues(15, 0);
-  SHELL_COMMAND(textcolor, Shell, setTextColor)
-  ->describe("Sets the Color of the Shells Text (red, green, blue, alpha)")
-  ->defaultValues(SHELL_DEFAULT_TEXT_COLOR);
-  SHELL_COMMAND(backgroundcolor, Shell, setBackgroundColor)
-  ->describe("Sets the Color of the Shells Background (red, green, blue, alpha)")
-  ->defaultValues(SHELL_DEFAULT_BACKGROUND_COLOR);
-  SHELL_COMMAND(backgroundimage, Shell, setBackgroundImage)
-  ->describe("sets the background image to load for the Shell")
-  ->completionPlugin(0, OrxShell::CompletorFileSystem());
-  SHELL_COMMAND(font, Shell, setFont)
-  ->describe("Sets the font of the Shell")
-  ->defaultValues(SHELL_DEFAULT_FONT)
-  ->completionPlugin(0, OrxShell::CompletorFileSystem(".ttf", "fonts/"));
-
   ObjectListDefinition(Shell);
 
@@ -557,14 +533,3 @@
     this->shellBuffer->debug();
   }
-
-  /**
-   * @brief a Handy Function, to Test the behaviour of the Shell.
-   */
-  void Shell::testShell() const
-  {
-    for (unsigned int i = 0; i < 100; i++)
-      PRINT(0)("%d\n", i);
-  }
-  SHELL_COMMAND(test, Shell, testShell);
-
 }
Index: /trunk/src/lib/shell/shell.h
===================================================================
--- /trunk/src/lib/shell/shell.h	(revision 9915)
+++ /trunk/src/lib/shell/shell.h	(revision 9916)
@@ -82,5 +82,4 @@
     void debug() const;
 
-    void testShell() const;
   private:
     void updateResolution(unsigned int width);
Index: /trunk/src/lib/shell/shell_command.cc
===================================================================
--- /trunk/src/lib/shell/shell_command.cc	(revision 9915)
+++ /trunk/src/lib/shell/shell_command.cc	(revision 9916)
@@ -19,4 +19,7 @@
 #include "shell_command_class.h"
 
+#include "shell_input.h"
+#include "shell.h"
+
 #include "compiler.h"
 #include "helper_functions.h"
@@ -28,6 +31,33 @@
 {
   ObjectListDefinition(ShellCommand);
+
   SHELL_COMMAND(debug, ShellCommandClass, help);
 
+  SHELL_COMMAND(help, ShellInput, help)
+  ->describe("retrieve some help about the input mode")
+  ->setAlias("help");
+
+  SHELL_COMMAND(clear, Shell, clear)
+  ->describe("Clears the shell from unwanted lines (empties all buffers)")
+  ->setAlias("clear");
+  SHELL_COMMAND(deactivate, Shell, deactivate)
+  ->describe("Deactivates the Shell. (moves it into background)")
+  ->setAlias("hide");
+  SHELL_COMMAND(textsize, Shell, setTextSize)
+  ->describe("Sets the size of the Text size, linespacing")
+  ->defaultValues(15, 0);
+  SHELL_COMMAND(textcolor, Shell, setTextColor)
+  ->describe("Sets the Color of the Shells Text (red, green, blue, alpha)")
+  ->defaultValues(SHELL_DEFAULT_TEXT_COLOR);
+  SHELL_COMMAND(backgroundcolor, Shell, setBackgroundColor)
+  ->describe("Sets the Color of the Shells Background (red, green, blue, alpha)")
+  ->defaultValues(SHELL_DEFAULT_BACKGROUND_COLOR);
+  SHELL_COMMAND(backgroundimage, Shell, setBackgroundImage)
+  ->describe("sets the background image to load for the Shell")
+  ->completionPlugin(0, OrxShell::CompletorFileSystem());
+  SHELL_COMMAND(font, Shell, setFont)
+  ->describe("Sets the font of the Shell")
+  ->defaultValues(SHELL_DEFAULT_FONT)
+  ->completionPlugin(0, OrxShell::CompletorFileSystem(".ttf", "fonts/"));
 
   /**
@@ -39,6 +69,6 @@
   ShellCommand::ShellCommand(const std::string& commandName, const std::string& className, Executor<const SubString>* executor)
   {
+    PRINTF(4)("create shellcommand '%s' for class '%s'\n", commandName.c_str(), className.c_str());
     this->registerObject(this, ShellCommand::_objectList);
-    PRINTF(4)("create shellcommand '%s' for class '%s'\n", commandName.c_str(), className.c_str());
     this->setName(commandName);
 
Index: /trunk/src/lib/shell/shell_input.cc
===================================================================
--- /trunk/src/lib/shell/shell_input.cc	(revision 9915)
+++ /trunk/src/lib/shell/shell_input.cc	(revision 9916)
@@ -28,8 +28,4 @@
 namespace OrxShell
 {
-  SHELL_COMMAND(help, ShellInput, help)
-  ->describe("retrieve some help about the input mode")
-  ->setAlias("help");
-
   ObjectListDefinition(ShellInput);
 